Public Class SodaMachine

    Private Cokes As Integer
    Private Sprites As Integer
    Private DrPeppers As Integer
    Private DietCokes As Integer
    Private deposit As Integer
    Private priceOfSoda As Integer

    ' Example:
    '		Dim M As SodaMachine = New SodaMachine();
    '
    '		M is a sodamachine  object initialed as follows:
    '			number of Cokes = 
    '			number of Sprites =
    '			number of Dr. Peppers =
    '			number of Diet Cokes = 25 //default value is 25
    '			amount deposited = 0
    '			price for a can of soda = 75 cents
    '
    Public Sub New()
        Cokes = 25
        Sprites = 25
        DrPeppers = 25
        DietCokes = 25
        deposit = 0
        priceOfSoda = 75
    End Sub

    ' Example:
    '		Dim N As SodaMachine = New SodaMachine(20,60)
    '
    '		N is a sodamachine  object initialed as follows:
    '			number of Cokes = 
    '			number of Sprites =
    '			number of Dr. Peppers =
    '			number of Diet Cokes = 20
    '			amount deposited = 0
    '			price for a can of soda = 60 cents
    '
    Public Sub New(ByVal valueNumberCans As Integer, ByVal valuePriceOfSoda As Integer)
        Cokes = valueNumberCans
        Sprites = valueNumberCans
        DrPeppers = valueNumberCans
        DietCokes = valueNumberCans
        deposit = 0
        priceOfSoda = valuePriceOfSoda
    End Sub

    Public Sub InsertCoins(ByVal value As Integer)
        deposit = deposit + value
    End Sub

    Public Sub returnCoins()
        deposit = 0
    End Sub

    Public Function showAmount() As Integer
        showAmount = deposit
    End Function

    Public Sub buyCoke()
        If ((Cokes > 0) And (deposit >= priceOfSoda)) Then
            Cokes = Cokes - 1
            deposit = deposit - priceOfSoda
        End If
    End Sub

    Public Function showCokeAmount() As Integer
        showCokeAmount = Cokes
    End Function

    Public Sub buySprite()
        If ((Sprites > 0) And (deposit >= priceOfSoda)) Then
            Sprites = Sprites - 1
            deposit = deposit - priceOfSoda
        End If
    End Sub

    Public Function showSpriteAmount() As Integer
        showSpriteAmount = Sprites
    End Function

    Public Sub buyDrPepper()
        If ((DrPeppers > 0) And (deposit >= priceOfSoda)) Then
            DrPeppers = DrPeppers - 1
            deposit = deposit - priceOfSoda
        End If
    End Sub

    Public Function showDrPepperAmount() As Integer
        showDrPepperAmount = DrPeppers
    End Function

    Public Sub buyDietCoke()
        If ((DietCokes > 0) And (deposit >= priceOfSoda)) Then
            DietCokes = DietCokes - 1
            deposit = deposit - priceOfSoda
        End If
    End Sub

    Public Function showDietCokeAmount() As Integer
        showDietCokeAmount = DietCokes
    End Function
End Class
